// http://akelpad.sourceforge.net/forum/viewtopic.php?p=7303#7303
// Description(1033): Internet request for formed url by the arguments or from selected text and open it in the default browser
// Description(1049): Интернет-запрос по сформированному в аргументах URL или выделенному тексту и открытие его в браузере по умолчанию
// Version: 2.2 (2015.04.01)
// Author: VladSh
// 
// Argument - URL;
// 	\s - место вставки выделенного текста в окне редактирования
// 
// Usage:
// 	 -"Перевести: Auto -> Ru (Google)" Call("Scripts::Main", 1, "InternetRequest.js", `"http://translate.google.com/#auto|ru|\s"`)
// 	 -"Открыть выделенный URL в браузере по умолчанию" Call("Scripts::Main", 1, "InternetRequest.js", `"\s"`) - для выделенного текста

if (WScript.Arguments.length == 1) {
	var pSelText = AkelPad.GetSelText();
	if (pSelText) {
		var pLink = WScript.Arguments(0).replace("\\s", pSelText);
		var WshShell = new ActiveXObject("WScript.Shell");
		if (pLink.search('http:|https:|www.|ftp:|notes:') == -1)
			pLink = 'http:\\' + pLink;
		WshShell.Run('\"' + pLink + '\"');
	}
}